Package org.eclipse.core.commands

## Interface IStateListener

All Known Implementing Classes:
  `AbstractHandlerWithState`

    public interface IStateListener

A listener to changes in some state.

Clients may implement, but must not extend this interface.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleStateChange​(State state, Object oldValue)` Handles a change to the value in some state.

### Method Detail

#### handleStateChange

    void handleStateChange​(State state,
                           Object oldValue)

Handles a change to the value in some state.

Parameters:
  `state` - The state that has changed; never `null`. The value for this state has been updated to the new value.
  `oldValue` - The old value; may be anything.